#!/software/bin/perl -wT
##!/nfs/team117/gq1/dev/bin/perl -wT

#########
# Author:        gq1
# Maintainer:    $Author: gq1 $
# Created:       2009-03-06
# Last Modified: $Date: 2009-03-20 10:55:56 +0000 (Fri, 20 Mar 2009) $
# Id:            $Id: npg_qc_api_run_recipe_runtile.pl 4573 2009-03-20 10:55:56Z gq1 $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/trunk/scripts/npg_qc_api_run_recipe_runtile.pl $
#

use strict;
use warnings;
use lib qw(lib /software/solexa/lib/site_perl/);
use SangerPaths qw(core ensembl tracking trackingnpg badger);
use npg_qc::api::util;
use LWP::UserAgent;
use Carp;
use English qw{-no_match_vars};
use npg_qc::api::run_recipe;

our $VERSION = do { my ($r) = q$LastChangedRevision: 4573 $ =~ /(\d+)/msx; $r; };

$ENV{'PATH'} = join q(:), qw(/bin /usr/bin /usr/local/bin);

#uncomment it when you test against dev database
#$ENV{dev} = 'dev';

main();
0;

sub main{
  print qq{*********\nProcessing run recipe data...\n} or croak "can't print\n";

  my $util = npg_qc::api::util->new({
    useragent => undef,
    base_uri  => undef,
    parser    => undef,
  });

  my $run_recipe_api = npg_qc::api::run_recipe->new({util => $util});

  eval{
    $run_recipe_api->process_all_runs_from_runtile();
    1;
  } or do {
    croak $EVAL_ERROR;
  };
  print qq{\nAll run recipe data processed successfully.\n} or croak "can't print\n";

  return 1;
}
